Skip to main content
PUT
/
networks
/
advertisers
/
{advertiserId}
/
users
/
{userId}
Update Advertiser User
curl --request PUT \
  --url https://api.eflow.team/v1/networks/advertisers/{advertiserId}/users/{userId} \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "first_name": "Bob",
  "last_name": "Smith",
  "email": "adv.user.doctest.update@example.com",
  "title": "Manager",
  "work_phone": "1234567788",
  "cell_phone": "",
  "instant_messaging_id": 3,
  "instant_messaging_identifier": "@bobsmith",
  "language_id": 1,
  "timezone_id": 90,
  "currency_id": "USD",
  "account_status": "active"
}
'
{
  "network_advertiser_user_id": 17,
  "network_id": 1,
  "network_advertiser_id": 13,
  "first_name": "Bob",
  "last_name": "Smith",
  "email": "adv.user.doctest.update@example.com",
  "title": "Manager",
  "work_phone": "1234567788",
  "cell_phone": "",
  "instant_messaging_id": 3,
  "instant_messaging_identifier": "@bobsmith",
  "language_id": 1,
  "timezone_id": 90,
  "currency_id": "USD",
  "account_status": "active",
  "time_created": 1774296114,
  "time_saved": 1774615395,
  "relationship": {}
}

Documentation Index

Fetch the complete documentation index at: https://developers.everflow.io/llms.txt

Use this file to discover all available pages before exploring further.

Update an existing advertiser user. You must specify all the fields, not only the ones you wish to update. If you omit a field that is not marked as required, its default value will be used. This is a full object replacement.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

advertiserId
integer
required

The ID of the advertiser whose user you want to update.

userId
integer
required

The ID of the user you want to update.

Body

application/json
first_name
string
required

The advertiser user's first name.

last_name
string
required

The advertiser user's last name.

email
string
required

The advertiser user's email. Must be unique among all advertiser users. Used to log in the platform.

language_id
integer
required

The advertiser user's language ID. This is limited to the value 1 (English).

timezone_id
integer
required

The advertiser user's timezone ID. Can be found using the metadata API.

currency_id
string
required

The advertiser user's currency ID. Can be found using the metadata API.

account_status
enum<string>
required

The advertiser user's account status.

Available options:
active,
inactive,
suspended
title
string

The advertiser user's title.

work_phone
string

The advertiser user's work phone number.

cell_phone
string

The advertiser user's cell phone number.

instant_messaging_id
integer

The ID of an instant messaging platform. Values are 0 for None, 1 for Skype, 2 for Yahoo Messenger, 3 for Telegram, 4 for WhatsApp, 5 for Other.

instant_messaging_identifier
string

The advertiser user's instant messaging identifier. Required when an instant_messaging_id is selected.

Response

network_advertiser_user_id
integer

Unique advertiser user ID.

network_id
integer

The network ID this user belongs to.

network_advertiser_id
integer

The advertiser ID this user belongs to.

first_name
string

The advertiser user's first name.

last_name
string

The advertiser user's last name.

email
string

The advertiser user's email address.

title
string

The advertiser user's title.

account_status
enum<string>

The advertiser user's account status.

Available options:
active,
inactive,
suspended
work_phone
string

The advertiser user's work phone number.

cell_phone
string

The advertiser user's cell phone number.

instant_messaging_id
integer

The ID of an instant messaging platform. Values are 0 for None, 1 for Skype, 2 for Yahoo Messenger, 3 for Telegram, 4 for WhatsApp, 5 for Other.

instant_messaging_identifier
string

The advertiser user's instant messaging identifier.

language_id
integer

The advertiser user's language ID.

timezone_id
integer

The advertiser user's timezone ID.

currency_id
string

The advertiser user's currency ID (ISO currency code).

relationship
object

Related data for this advertiser user. Populate by passing relationship query parameters (e.g. ?relationship=logins&relationship=api).

time_created
integer

Unix timestamp of creation.

Example:

1734455015

time_saved
integer

Unix timestamp of last update.

Example:

1734455015